aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--main/file/APKBUILD18
-rw-r--r--main/file/nocxx.patch15
2 files changed, 9 insertions, 24 deletions
diff --git a/main/file/APKBUILD b/main/file/APKBUILD
index 7754f6ced6..06bde75b1a 100644
--- a/main/file/APKBUILD
+++ b/main/file/APKBUILD
@@ -1,22 +1,22 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=file
-pkgver=5.03
+pkgver=5.04
pkgrel=0
pkgdesc="File type identification utility"
url="http://www.darwinsys.com/file/"
license="custom"
-depends="uclibc zlib"
-source="ftp://ftp.astron.com/pub/file/file-$pkgver.tar.gz
- nocxx.patch"
+depends=
+source="ftp://ftp.astron.com/pub/file/file-$pkgver.tar.gz"
subpackages="$pkgname-dev $pkgname-doc"
-build ()
-{
+build() {
cd "$srcdir"/$pkgname-$pkgver
- patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr --datadir=/usr/share/misc
make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
make DESTDIR="$pkgdir" install
}
-md5sums="d05f08a53e5c2f51f8ee6a4758c0cc53 file-5.03.tar.gz
-28513788ba4d556ccd538867dc6205ab nocxx.patch"
+md5sums="accade81ff1cc774904b47c72c8aeea0 file-5.04.tar.gz"
diff --git a/main/file/nocxx.patch b/main/file/nocxx.patch
deleted file mode 100644
index beb1ab9006..0000000000
--- a/main/file/nocxx.patch
+++ /dev/null
@@ -1,15 +0,0 @@
---- a/configure 2004-12-07 21:34:23.205172545 +0000
-+++ b/configure 2004-12-07 21:37:17.726654782 +0000
-@@ -5148,10 +5148,8 @@
- :
- else
- { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
--See \`config.log' for more details." >&5
--echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
-+See \`config.log' for more details." >&5;}
-+ { echo "C++ sucks, ignoring ..." >&5; }; }
- fi
-
- ac_ext=cc